MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/playlist_save.h File Reference

`#include "playlist.h"`
`#include <stdio.h>`

Go to the source code of this file.

## Functions
void | playlist_print_song (FILE *fp, const struct song *song)
void | playlist_print_uri (FILE *fp, const char *uri)
enum playlist_result | spl_save_queue (const char *name_utf8, const struct queue *queue)
| Saves a queue object into a stored playlist file.
enum playlist_result | spl_save_playlist (const char *name_utf8, const struct playlist *playlist)
| Saves a playlist object into a stored playlist file.
enum playlist_result | playlist_load_spl (struct playlist *playlist, const char *name_utf8)
| Loads a stored playlist file, and append all songs to the global playlist.

## Function Documentation

enum playlist_result playlist_load_spl | ( | struct playlist * | playlist,
|  | const char * | name_utf8
| ) |  |

Loads a stored playlist file, and append all songs to the global playlist.

void playlist_print_song | ( | FILE * | fp,
|  | const struct song * | song
| ) |  |

void playlist_print_uri | ( | FILE * | fp,
|  | const char * | uri
| ) |  |

enum playlist_result spl_save_playlist | ( | const char * | name_utf8,
|  | const struct playlist * | playlist
| ) |  |

Saves a playlist object into a stored playlist file.

enum playlist_result spl_save_queue | ( | const char * | name_utf8,
|  | const struct queue * | queue
| ) |  |

Saves a queue object into a stored playlist file.